Автор Тема: [РЕШЕНО] Обновление — ошибки в пакетах  (Прочитано 51239 раз)

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #30 : 21 Февраль 2012, 04:14:28 »
Мало информации. Хотя бы написали, какая версия Росинки, да что за реп добавили...
« Последнее редактирование: 21 Февраль 2012, 13:17:02 от Lerych »

TiNNauR

  • Новичок
  • *
  • Сообщений: 4
  • Карма: +0/-0
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #31 : 21 Февраль 2012, 04:31:36 »
Цитировать
Мало информации. Хотя бы написали, какая версия Росинки,
Linux Mint 10 Julia   2.6.35-32, ядро обновил не давно, и вот как то приблизительно в это время все и началось
Цитировать
да что за реп добавили...
sudo echo "deb http://www.geekconnection.org/remastersys/repository ubuntu/" > /etc/apt/sources.list

Alexander7_88

  • Ветеран
  • *****
  • Сообщений: 1514
  • Карма: +217/-4
  • Универсальный поисковый бот
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #32 : 21 Февраль 2012, 12:08:43 »
Цитировать
sudo echo "deb http://www.geekconnection.org/remastersys/repository ubuntu/" > /etc/apt/sources.list
Команда не верная в 2-х местах.
1.) так не далается запись echo через sudo. правильная команда : sudo sh -c 'echo "deb http://www.geekconnection.org/remastersys/repository ubuntu/" >> /etc/apt/sources.list'2.) использоание перенапраления через >, в данном случаи вы стерете всё что есть в файле и внесете строку, вам нужно использовать >>, при этом в конеч файла будит внесена новая запись.
« Последнее редактирование: 21 Февраль 2012, 12:10:33 от Alexander7_88 »

TiNNauR

  • Новичок
  • *
  • Сообщений: 4
  • Карма: +0/-0
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #33 : 21 Февраль 2012, 12:22:44 »
Цитировать
1.) так не далается запись echo через sudo. правильная команда : 2.) использоание перенапраления через >, в данном случаи вы стерете всё что есть в файле и внесете строку, вам нужно использовать >>, при этом в конеч файла будит внесена новая запись.
Спасибо, может из-за этого оно и не дало мне добавить репозиторий, я руками его впихнул, но, что делать с Минт Апдейтом, он стоит в автозагрузке такой командой mintupdate-launcher, но не запускается? ((

TiNNauR

  • Новичок
  • *
  • Сообщений: 4
  • Карма: +0/-0
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #34 : 21 Февраль 2012, 13:23:02 »
Цитировать
Даже если устанавливать этот пакет верной командой, она предлагает 2 пакета для удаления (grub-gfxpayload-lists и grub-pc) и 15 для установки.
Устанавливал правильно, через терминал, командой "sudo apt-get install remastersys", при руками добавленном репозитории. Получается, что мне эти пакеты не критичны, у меня Grub2. Хорошо, подскажите, пожалуйста, куда смотреть чтоб Минт Апдейт запускался автоматом, при старте системы и висел в трее , потому как через меню, ручками, запускается? Спасибо!

Azure

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 2118
  • Карма: +275/-114
  • Обычно я му-р-р-р-чу
    • Просмотр профиля
    • Exilibris Web Development
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #35 : 21 Февраль 2012, 23:53:35 »
правильная команда : sudo sh -c 'echo "deb http://www.geekconnection.org/remastersys/repository ubuntu/" >> /etc/apt/sources.list'
Почему не пользоваться штатными утилитами?sudo apt-add-repository 'deb http://www.geekconnection.org/remastersys/repository ubuntu/'

ya

  • Постоялец
  • ***
  • Сообщений: 121
  • Карма: +2/-4
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Ошибка при обновлении через ubuntu tweak
« Ответ #36 : 18 Июнь 2012, 08:38:15 »
Всем привет, у меня такая проблема: при обновлении системы через ubuntu tweak в котором было около четырёх обновлений, опера и ещё что - то , выдаёт такое сообщение: "Не удалось выполнить изменения!
Сначала необходимо исправить ошибки в пакетах". Какие ошибки и как их исправить? Заранее благодарен.

Vadim Andy

  • Гость
Re: Ошибка при обновлении через ubuntu tweak
« Ответ #37 : 18 Июнь 2012, 08:40:42 »
Всем привет, у меня такая проблема: при обновлении системы через ubuntu tweak в котором было около четырёх обновлений, опера и ещё что - то , выдаёт такое сообщение: "Не удалось выполнить изменения!
Сначала необходимо исправить ошибки в пакетах". Какие ошибки и как их исправить? Заранее благодарен.

Зайди в раздел ubuntu-tweak, отвечающий за очистку системы. Выполни очистку, перезапусти машину и поставь по новой.

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Re: Ошибка при обновлении через ubuntu tweak
« Ответ #38 : 19 Июнь 2012, 03:16:20 »
Какие ошибки и как их исправить? Заранее благодарен.
Проще всего, конечно, попытаться выполнить sudo apt-get -f installНо можно и так: Менеджер пакетов (Synaptic) —> Специальные фильтры (см. слева внизу) —> С ошибками, отмечаете все, что там есть, и далее в строке меню Синаптика Правка —> Исправить пакеты с ошибками. Если не получается, то напишите нам, какие именно пакеты там находятся.

ya

  • Постоялец
  • ***
  • Сообщений: 121
  • Карма: +2/-4
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #39 : 19 Июнь 2012, 09:36:12 »
Всем привет, команда sudo apt-get -f install ничего не дала, а в
Цитировать
"Менеджер пакетов (Synaptic) —> Специальные фильтры (см. слева внизу) —> С ошибками, отмечаете все, что там есть, и далее в строке меню Синаптика Правка —> Исправить пакеты с ошибками"
ничего нет "пусто"
=====
В пункте обновляемые (до основной версии) есть несколько пакетов, при попытке их обновить выдаёт:Не удалось выполнить изменения!
Сначала необходимо исправить ошибки в пакетах" после чего эти - же пакеты появляются в пункте "с ошибками". Пакеты следующие: libwpd 0.9-9; libwps 02-2; uno-libs; ure. При попытке исправить эти пакеты выдаёт: "E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
E: Невозможно исправить зависимости
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
E: Невозможно исправить зависимости"
« Последнее редактирование: 19 Июнь 2012, 13:01:17 от Azure »

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #40 : 19 Июнь 2012, 12:40:44 »
Вспоминайте, после чего это началось? Например, LibreOffice, случайно, не пытались обновлять? ;-)  Если да, то из какого репозитория? И вообще, какие сторонние репы добавлялись за последнее время?
« Последнее редактирование: 19 Июнь 2012, 12:42:35 от Lerych »

ya

  • Постоялец
  • ***
  • Сообщений: 121
  • Карма: +2/-4
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #41 : 19 Июнь 2012, 16:32:09 »
Да нет, за последнее время ничего не добовлял из левых репозитариев добавлял только репозитарий даблкоммандера, но это было давно и после этого много раз обновлял систему и через менеджер обновлений и через ubuntu tweak. Почему пакеты с ошибками не хотят исправляться?
======
Спасибо за подсказку, проблема была в репозитарии libreoffice, который я добавлял через ubuntu tweak. Удалил репозитарий и обновления пошли, только вот не понятно в чём дело, ведь добавил я его давно и всё обновлялось? Выглядит так: http://ppa.launchpad.net/libreoffice/ppa/ubuntu
« Последнее редактирование: 20 Июнь 2012, 13:46:44 от Azure »

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Re: [РЕШЕНО] Обновление — ошибки в пакетах
« Ответ #42 : 20 Июнь 2012, 00:29:36 »
Спасибо за подсказку, проблема была в репозитарии libreoffice, который я добавлял через ubuntu tweak. Удалил репозитарий и обновления пошли, только вот не понятно в чём дело, ведь добавил я его давно и всё обновлялось?
Дело в том, что при добавлении репозитариев не нормальным путем, через sudo add-apt-repository или хотя бы Синаптик, например, а через ж... Ubuntu Tweak, по непонятным мне причинам иногда добавляется репозиторий не для Natty, а для Oneiric. В итоге, получаем такого рода проблемы, как у Вас. Сам тоже с этим сталкивался поначалу, пока не разобрался, в чем дело и не перестал производить пакетные операции (обновления, добавление репозиториев, etc) через Ubuntu Tweak (разве только иногда, для очистки системы им пользуюсь). Для этого есть специальные пакетные менеджеры и утилиты, с которыми подобных проблем не бывает. Чего и Вам желаю. :-)
« Последнее редактирование: 20 Июнь 2012, 01:16:01 от Lerych »

телец

  • Новичок
  • *
  • Сообщений: 4
  • Карма: +0/-0
    • Просмотр профиля
Re: [РЕШЕНО] Обновление пакетов через Synaptic
« Ответ #43 : 25 Апрель 2015, 20:22:23 »
Раньше пользовался другим дистрибутивом Linux. Там, в приложении Synaptic, была кнопка "выделить для обновления" (кажется так, если не ошибся, но смысл понятен.) После установки Росинка 9 (новогодний выпуск) обнаружил отсутствие этой кнопки и возможности обновления пакетов через Synaptic

Именно по этой причине, снёс штатный минтовский Синаптик и поставил из убунтовских реп, заблокировав его от обновлений. Там эта "кнопочка" имеется.